%define upstream_name    Mozilla-CA
%define upstream_version 20110914
%define subrel 1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Mozilla's CA cert bundle in PEM format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mozilla/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildArch:  noarch

%description
Mozilla::CA provides a copy of Mozilla's bundle of Certificate Authority
certificates in a form that can be consumed by modules and libraries based
on OpenSSL.

The module provide a single function:

* SSL_ca_file()

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Oct 09 2011 jquelin <jquelin> 20110914.0.0-1.1.mga1
+ Revision: 153480
- update to 20110914 to exclude compromised DigiNotar certiciate (mga#2993)

* Tue Apr 12 2011 jquelin <jquelin> 20110409.0.0-1.mga1
+ Revision: 83780
- update to 20110409

* Sun Mar 20 2011 jquelin <jquelin> 20110301.0.0-1.mga1
+ Revision: 74893
- imported package perl-Mozilla-CA


* Sun Mar 20 2011 cpan2dist 20110301-1mga
- initial mageia release, generated with cpan2dist
